Subject: new web page for Koeltz Scientific Books

From: [email-masked] (Koeltz Scientific Books)
Date: 28 May 1995 15:54:22 GMT

we now have a commercial web site listing 25000 titles, including 
bibliographic details
www.shout.net/~koeltz/

-- 
********************** Koeltz Scientific Books USA ********************** 
* new web page!!!        www.shout.net/~koeltz/      phone 217-355-9331 *
* email: [email-masked]          BBS Modem (DirectDial) 217-355-4532  *
*************************************************************************

---

From: [email-masked] (Joerg Langen)
Date: 29 May 1995 04:01:59 -0700

Hi I got a formal request about Kombucha, well in the last few days we 
heard a lot about it, but what is it really? I looked at it under the 
microscop, but at 400X I couldn't find anything living! What is it?

Regards from a helpless Horti,

		Joerg